## cmigemo 1.2%2Bgh0.20220623

=== debian/changelog ===
cmigemo (1:1.2+gh0.20220623-2) unstable; urgency=medium

  * Add patch: Fix FTCBFS(Closes: #1104865)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 09 May 2025 12:27:38 +0900

cmigemo (1:1.2+gh0.20220623-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Fix Vcs-* Field (remove -guest)
  * Refresh patches
    - drop empty patch
  * Drop transitional package: migemo-el (Closes: #1032643)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 10 Oct 2023 14:01:59 +0900

cmigemo (1:1.2+gh0.20150404-8) unstable; urgency=medium

  * Update, refresh  d/patches: Import upstream changes
  * d/control: debelper-compat(=13)
  * d/control: Rules-Requires-Root: no
  * d/watch: bump version 4
  * d/rules: Enable hardening
  * Drop obsolete lintian-overrides
  * Update .gitlab-ci.yml file
  * move ci conf into debian/
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Drop vim-addon-manager, use dh_vim_addon (Closes: #1015944)
  * Update copyright year

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2022 18:41:37 +0900

cmigemo (1:1.2+gh0.20150404-7) unstable; urgency=medium

  * Fix FTCBFS: Use the makefile build system. (Closes: #900075)
    Thanks to Helmut Grohne !
  * d/{control,compat}: Bump Compat 11
  * d/control: Bump Standard Version 4.1.4
  * Move d/source.lintian-overrides to d/source/lintian-overrides
  * d/copyright: Fix insecure URL

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 05 Jun 2018 17:18:34 +0900

cmigemo (1:1.2+gh0.20150404-6) unstable; urgency=medium

  * Update Vcs field
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 28 Jan 2018 23:20:37 +0900

cmigemo (1:1.2+gh0.20150404-5) unstable; urgency=medium

  [ Hideki Yamane ]
  Thanks !
  * Add dbgsym package (Closes: #881615)
  * Fix Vcs-Git URL (Closes: #881616)
  * Bump Compat: 10

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Nov 2017 23:12:19 +0900

cmigemo (1:1.2+gh0.20150404-4) unstable; urgency=medium

  * Refresh patches
  * Drop transitional package "migemo" (Closes: #878375)
  * Drop debugging symbols package "libmigemo-dbg"
  * Update debian/changelog
  * Bump Standard Version: 4.1.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Nov 2017 13:59:17 +0900

cmigemo (1:1.2+gh0.20150404-3) unstable; urgency=medium

  * Drop migemo-el. Use elpa-migemo instead of migemo-el
  * Bump Standard Version: 4.1.0
  * Bump debhelper >= 10

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 28 Aug 2017 17:59:53 +0900

cmigemo (1:1.2+gh0.20150404-2) unstable; urgency=medium

  * Update migemo.el: Fix referring obsolete variable
    - `isearch-word' is obsolete variable since Emacs 25.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 03 Mar 2017 18:47:01 +0900

cmigemo (1:1.2+gh0.20150404-1) unstable; urgency=medium

  * Import Upstream Git changes
  * Update migemo.el: sync emacs-jp repos.
  * Bump Standard version: 3.9.7
  * Update Vcs-Browser field
  * Fix typo. in d/copyright
  * Update Depends, Remove Conflicts

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 03 Apr 2016 01:09:25 +0900

cmigemo (1:1.2+gh0.20140306-4) unstable; urgency=medium

  * Fixed typo: migemo-el.emacsen-install (Closes: #758873)
    Thanks to Tatsuya Kinoshita!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 Aug 2014 19:40:17 +0900

cmigemo (1:1.2+gh0.20140306-3) unstable; urgency=medium

  * Drop emacs(<= 23) support (Closes: #758797)
    Thanks to Tatsuya Kinoshita!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 Aug 2014 18:11:38 +0900

cmigemo (1:1.2+gh0.20140306-2) unstable; urgency=medium

  * update migemo-el:
    + sync emacs-jp repos, 2014-08-19

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Aug 2014 00:30:04 +0900

cmigemo (1:1.2+gh0.20140306-1) unstable; urgency=medium

  * Imported Upstream version 1.2
    - change upstream URI: google code to github
  * Update debian/watch: upstream URI changed
  * Refresh/Update patches
    - Import upstream changes from Github repos.
  * migemo-el:
    - sync emacs-jp repos.
    - Install a compat file with emacsen-compat
    - Add conflicts: emacsen-common (<< 2.0.0)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Aug 2014 00:29:50 +0900

cmigemo (20110227-8) unstable; urgency=low

  * Fix migemo-option in emacsen-startup (Closes: #715385)
  * Fix error of '(load-library "migemo")'
    if migemo-el is removed but not purged (Closes: #715386)
  * Update Depends field: emacs should be preferred emacs23 (Closes: #715384)
    - Thanks to Tatsuya Kinoshita about above three bug report!!!
  * Update debian/contrib/migemo.el for Emacs >= 24.3
    - Swtich upstream: Use emacs-jp repository.
  * Remove obsolete `DM-Upload-Allowed' line.
  * Bump Standard Version: 3.9.4
  * Update Vcs-* field: Use Canonical URI
  * Update debian/copyright: copyright year and URI of format 1.0
  * Upload experimental to unstable

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 11 Jun 2013 11:17:51 +0900

cmigemo (20110227-7) unstable; urgency=low

  * Fix migemo-coding-system, add default load setting
    - Thanks to Kenshi Muto. (Closes: #681321)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 13 Jul 2012 19:00:00 +0900

cmigemo (20110227-6) unstable; urgency=low

  * Fix upgrade/transition from 'migemo'.
   - Change install destination for smooth upgrade,
     Thanks to Andreas Beckmann. (Closes: #679756)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 02 Jul 2012 13:48:43 +0100

cmigemo (20110227-5) unstable; urgency=low

  * Add Transitional package for smooth upgrade from migemo

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 29 Jun 2012 18:24:17 +0900

cmigemo (20110227-4) unstable; urgency=low

  * Update patch handling: use gbp-pq
  * Add LDFLAGS for fix hardening
  * Add migemo-el for proposed removal 'migemo' (Closes: #677073)
  * Update watch file
  * Update cmigemo.README.Debian:
    - Install "migemo-el" instead of "migemo".



## cmigemo 1.2+gh0.20140306

=== Makefile ===
# vi:set ts=8 sts=8 sw=8 tw=0:
#
# C/Migemo Makefile
#
# Last Change: 19-Oct-2003.
# Maintainer:	MURAOKA Taro <koron@tka.att.ne.jp>

default: tags

tags: src/*.c src/*.h
	ctags src/*.c src/*.h

##############################################################################
# for Borland C 5
#
bc: bc-rel
bc-all: bc-rel bc-dict
bc-rel:
	$(MAKE) -f compile\Make_bc5.mak
bc-dict:
	$(MAKE) -f compile\Make_bc5.mak dictionary
bc-clean:
	$(MAKE) -f compile\Make_bc5.mak clean
bc-distclean:
	$(MAKE) -f compile\Make_bc5.mak distclean

##############################################################################
# for Cygwin
#
cyg: cyg-rel
cyg-all: cyg-rel cyg-dict
cyg-rel:
	$(MAKE) -f compile/Make_cyg.mak
cyg-dict:
	$(MAKE) -f compile/Make_cyg.mak dictionary
cyg-install: cyg-all
	$(MAKE) -f compile/Make_cyg.mak install
cyg-uninstall:
	$(MAKE) -f compile/Make_cyg.mak uninstall
cyg-clean:
	$(MAKE) -f compile/Make_cyg.mak clean
cyg-distclean:
	$(MAKE) -f compile/Make_cyg.mak distclean

##############################################################################
# for GNU/gcc (Linux and others)
#	(Tested on Vine Linux 2.1.5)
#
gcc: gcc-rel
gcc-all: gcc-rel gcc-dict
gcc-rel:
	$(MAKE) -f compile/Make_gcc.mak
gcc-dict:
	$(MAKE) -f compile/Make_gcc.mak dictionary
gcc-install: gcc-all
	$(MAKE) -f compile/Make_gcc.mak install
gcc-uninstall:
	$(MAKE) -f compile/Make_gcc.mak uninstall
gcc-clean:
	$(MAKE) -f compile/Make_gcc.mak clean
gcc-distclean:
	$(MAKE) -f compile/Make_gcc.mak distclean

##############################################################################
# for Microsoft Visual C
#
msvc: msvc-rel
msvc-all: msvc-rel msvc-dict
msvc-rel:
	$(MAKE) /nologo /f compile\Make_mvc.mak
msvc-dict:
	$(MAKE) /nologo /f compile\Make_mvc.mak dictionary
msvc-clean:
	$(MAKE) /nologo /f compile\Make_mvc.mak clean
msvc-distclean:
	$(MAKE) /nologo /f compile\Make_mvc.mak distclean

##############################################################################
# for MacOS X
#
osx: osx-rel
osx-all: osx-rel osx-dict
osx-rel:
	$(MAKE) -f compile/Make_osx.mak
osx-dict:
	$(MAKE) -f compile/Make_osx.mak dictionary
osx-install: osx-all
	$(MAKE) -f compile/Make_osx.mak install
osx-uninstall:
	$(MAKE) -f compile/Make_osx.mak uninstall
osx-clean:
	$(MAKE) -f compile/Make_osx.mak clean
osx-distclean:
	$(MAKE) -f compile/Make_osx.mak distclean

##############################################################################
# for Sun's Solaris/gcc
#	(Tested on Solaris 8)
#
sun: sun-rel
sun-all: sun-rel sun-dict
sun-rel:
	$(MAKE) -f compile/Make_sun.mak
sun-dict:
	$(MAKE) -f compile/Make_sun.mak dictionary
sun-install: sun-all
	$(MAKE) -f compile/Make_sun.mak install
sun-uninstall:
	$(MAKE) -f compile/Make_sun.mak uninstall
sun-clean:
	$(MAKE) -f compile/Make_sun.mak clean
sun-distclean:
	$(MAKE) -f compile/Make_sun.mak distclean

=== debian/control ===
Source: cmigemo
Section: utils
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9), nkf
Standards-Version: 3.9.5
Homepage: http://www.kaoriya.net/software/cmigemo/
Vcs-Git: git://anonscm.debian.org/users/uwabami-guest/cmigemo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/uwabami-guest/cmigemo.git;a=summary

Package: vim-migemo
Architecture: all
Depends: ${misc:Depends}, vim, vim-addon-manager, cmigemo
Description: VIM plugin for C/Migemo
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides C/Migemo plugin for VIM.

Package: cmigemo-common
Architecture: all
Pre-Depends: skkdic
Depends: ${misc:Depends}, nkf
Description: Japanese incremental search tool written in C - common files
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides translation table from Romaji to Hiragana or
 Katakana and vise versa, and dictionary maintenance tools.

Package: migemo-el
Architecture: all
Depends: ${misc:Depends}, emacs | emacsen, cmigemo
Conflicts: emacsen-common (<< 2.0.0)
Replaces: migemo (<< 0.40-10~)
Breaks: migemo (<< 0.40-10~)
Provides: migemo
Description: Japanese incremental search with Romaji on Emacsen
 Migemo is a tool that supports Japanese incremental search with Romaji.
 It release you from heavy tasks of Kana Kanji conversion in order to
 search.
 .
 This package prrovides an Emacsen interface, which is modified version
 in order to use C/Migemo.

Package: cmigemo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
  libmigemo1 (= ${binary:Version}), cmigemo-common
Suggests: vim-migemo
Description: Japanese incremental search tool written in C - binary
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides binary.

Package: libmigemo1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Japanese incremental search tool written in C - library
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides shared library.

Package: libmigemo-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libmigemo1 (= ${binary:Version})
Description: Japanese incremental search tool written in C - development binaries
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides static library, header file.

Package: libmigemo-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libmigemo1 (= ${binary:Version})
Suggests: gdb
Description: Japanese incremental search tool written in C - detached debugging symbols
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: migemo
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, migemo-el (>= 20110227-5)
Description: Transitional package for migemo
 This is a transitional package to ease upgrades to the migemo
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	$(SHELL) ./configure --prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_install:
	dh_auto_install
	for f in han2zen.dat hira2kata.dat roma2hira.dat zen2han.dat ; do \
	  nkf -e < dict/$$f > $(CURDIR)/debian/tmp/usr/share/cmigemo/euc-jp/$$f ;\
	  nkf -w < dict/$$f > $(CURDIR)/debian/tmp/usr/share/cmigemo/utf-8/$$f ;\
	done

override_dh_strip:
	dh_strip --dbg-package=libmigemo-dbg

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) gcc-distclean

## cmigemo 1.2+gh0.20150404

=== dict/Makefile ===
# vim:set ts=8 sts=8 sw=8 tw=0:
#
# t@C̃eiX(X^u)
# 
# Last Change: 16-May-2002.
# Written By:  MURAOKA Taro <koron@tka.att.ne.jp>

include ../config.mk
include dict.mak

clean: dict-clean
distclean: dict-distclean

=== debian/changelog ===
cmigemo (1:1.2+gh0.20150404-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 9), nkf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 11), nkf
+Standards-Version: 4.1.4
 Homepage: http://www.kaoriya.net/software/cmigemo/
-Vcs-Git: git://anonscm.debian.org/users/uwabami-guest/cmigemo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/uwabami-guest/cmigemo.git;a=summary
+Vcs-Git: https://salsa.debian.org/uwabami-guest/cmigemo.git
+Vcs-Browser: https://salsa.debian.org/uwabami-guest/cmigemo
 
 Package: vim-migemo
 Architecture: all
@@ -29,21 +29,6 @@
  .
  This package provides translation table from Romaji to Hiragana or
  Katakana and vise versa, and dictionary maintenance tools.
-
-Package: migemo-el
-Architecture: all
-Depends: ${misc:Depends}, emacs | emacsen, cmigemo
-Conflicts: emacsen-common (<< 2.0.0)
-Replaces: migemo (<< 0.40-10~)
-Breaks: migemo (<< 0.40-10~)
-Provides: migemo
-Description: Japanese incremental search with Romaji on Emacsen
- Migemo is a tool that supports Japanese incremental search with Romaji.
- It release you from heavy tasks of Kana Kanji conversion in order to
- search.
- .
- This package prrovides an Emacsen interface, which is modified version
- in order to use C/Migemo.
 
 Package: cmigemo
 Architecture: any
@@ -83,28 +68,11 @@
  .
  This package provides static library, header file.
 
-Package: libmigemo-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Multi-Arch: same
+Package: migemo-el
+Architecture: all
+Section: oldlibs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmigemo1 (= ${binary:Version})
-Suggests: gdb
-Description: Japanese incremental search tool written in C - detached debugging symbols
- Migemo is a tool that supports Japanese incremental search with Romaji.
- Originally migemo is written in Ruby. C/Migemo provides search tool and
- library written in C.
- .
- This package is provided primarily to provide a backtrace with names
- in a debugger, this makes it somewhat easier to interpret core
- dumps.  Most people will not need this package.
-
-Package: migemo
-Section: oldlibs
-Architecture: all
-Priority: extra
-Depends: ${misc:Depends}, migemo-el (>= 20110227-5)
-Description: Transitional package for migemo
- This is a transitional package to ease upgrades to the migemo
- package. It can safely be removed.
+Depends: ${misc:Depends}, elpa-migemo
+Description: transitional dummy package: elpa-migemo
+ This package is a dummy transitional package(elpa-migemo).
+ It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=makefile
 
 override_dh_auto_configure:
 	$(SHELL) ./configure --prefix=$(CURDIR)/debian/tmp/usr
@@ -16,9 +16,9 @@
 	  nkf -w < dict/$$f > $(CURDIR)/debian/tmp/usr/share/cmigemo/utf-8/$$f ;\
 	done
 
-override_dh_strip:
-	dh_strip --dbg-package=libmigemo-dbg
-
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) gcc-distclean
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='libmigemo-dbg (<< 1:1.2+gh0.20150404-5~)'

## cmigemo 1.2+gh0.20220623

=== debian/changelog ===
cmigemo (1:1.2+gh0.20220623-3) unstable; urgency=medium

  * Add d/source/lintian-overrides: ignore hgtags
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 10 Nov 2025 15:20:36 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 11), nkf
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), nkf, dh-vim-addon
+Standards-Version: 4.7.2
 Homepage: http://www.kaoriya.net/software/cmigemo/
-Vcs-Git: https://salsa.debian.org/uwabami-guest/cmigemo.git
-Vcs-Browser: https://salsa.debian.org/uwabami-guest/cmigemo
+Vcs-Git: https://salsa.debian.org/uwabami/cmigemo.git
+Vcs-Browser: https://salsa.debian.org/uwabami/cmigemo
+Rules-Requires-Root: no
 
 Package: vim-migemo
 Architecture: all
-Depends: ${misc:Depends}, vim, vim-addon-manager, cmigemo
+Depends: ${misc:Depends}, ${vim-addon:Depends}, cmigemo
 Description: VIM plugin for C/Migemo
  Migemo is a tool that supports Japanese incremental search with Romaji.
  Originally migemo is written in Ruby. C/Migemo provides search tool and
@@ -67,12 +68,3 @@
  library written in C.
  .
  This package provides static library, header file.
-
-Package: migemo-el
-Architecture: all
-Section: oldlibs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, elpa-migemo
-Description: transitional dummy package: elpa-migemo
- This package is a dummy transitional package(elpa-migemo).
- It can be safely removed.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/rel-(\d+)_(\d+)\.tar\.gz/cmigemo-$1\.tar\.gz/ \
  https://github.com/koron/cmigemo/tags .*/rel-(\d+)_(\d)\.tar\.gz

## cmigemo 20110227

=== debian/control ===
Source: cmigemo
Section: utils
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), nkf
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/cmigemo/
Vcs-Git: git://git.debian.org/users/uwabami-guest/cmigemo.git
Vcs-Browser: http://git.debian.org/?p=users/uwabami-guest/cmigemo.git;a=summary

Package: vim-migemo
Architecture: all
Depends: ${misc:Depends}, vim, vim-addon-manager, cmigemo
Description: vim plugin for C/Migemo
 vim-migemo provides C/Migemo plugin.

Package: cmigemo-common
Architecture: all
Pre-Depends: skkdic
Depends: ${misc:Depends}, nkf
Description: Japanese incremental search tool written in C - common files
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides translation table from Romaji to Hiragana or
 Katakana and vise versa, and dictionary maintenance tools.

Package: cmigemo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
  libmigemo1 (= ${binary:Version}), cmigemo-common
Suggests: migemo, vim-migemo
Description: Japanese incremental search tool written in C - binary
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides binary.

Package: libmigemo1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Japanese incremental search tool written in C - library
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides shared library.

Package: libmigemo-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libmigemo1 (= ${binary:Version})
Description: Japanese incremental search tool written in C - development binaries
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package provides static library, header file.

Package: libmigemo-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libmigemo1 (= ${binary:Version})
Suggests: gdb
Description: Japanese incremental search tool written in C - detached debugging symbols
 Migemo is a tool that supports Japanese incremental search with Romaji.
 Originally migemo is written in Ruby. C/Migemo provides search tool and
 library written in C.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	$(SHELL) ./configure --prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_install:
	dh_auto_install
	for f in han2zen.dat hira2kata.dat roma2hira.dat zen2han.dat ; do \
	  nkf -e < dict/$$f > $(CURDIR)/debian/tmp/usr/share/cmigemo/euc-jp/$$f ;\
	  nkf -w < dict/$$f > $(CURDIR)/debian/tmp/usr/share/cmigemo/utf-8/$$f ;\
	done

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libmigemo-dbg

=== debian/watch ===
version=3
http://googlecode.debian.net/p/cmigemo/cmigemo-default-src-(\d+).zip
